Name:      eclipse-collabnet-merge
Version:   4.1.0
Release:   1%{?dist}
Summary:   CollabNet Merge Client for Subclipse
License:   EPL
URL:       https://desktop-eclipse.open.collab.net/

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-collabnet-merge.sh
Source0:   collabnet-merge-%{version}.tar.gz
Source1:   get-collabnet-merge.sh

BuildArch:     noarch

BuildRequires: tycho
BuildRequires: eclipse-subclipse >= 1.10.11
Requires:      eclipse-subclipse >= 1.10.11
Requires:      eclipse-platform

%description
The CollabNet Merge Client has been built on top of Eclipse and Subclipse.
This combination allowed us to support multiple client operating systems and
also allowed us to focus on the actual merge client and merge process while
leveraging the excellent Subversion capabilities that already exist in
Subclipse. This gives you a powerful client that allows you to perform all
Subversion operations from a single tool. Commit, History, Blame, Switch,
Tagging. Everything you need is available. You do not have to be an Eclipse
shop or even an Eclipse developer to use the client. Eclipse and Subclipse
make it easy to checkout and access any project in your repository. You can
just use the client as a general Subversion UI, or even just to perform merges.
Adopting the client does not require that you adopt Eclipse as your only
development tool.

%prep
%setup -q -n collabnet-merge-%{version}

find -name *.class -delete
find -name *.jar -delete

xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=com.collabnet -Dversion=%{version}

# don't install poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license com.collabnet.subversion.merge.feature/license.html

%changelog
* Wed Apr 20 2016 Mat Booth <mat.booth@redhat.com> - 4.1.0-1
- Update to latest release

* Wed Apr 20 2016 Mat Booth <mat.booth@redhat.com> - 4.0.2-4
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jul 18 2014 Mat Booth <mat.booth@redhat.com> - 4.0.2-1
- Update to latest upstream release
- Update project URL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 4.0.0-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Krzysztof Daniel <kdaniel@redhat.com> 4.0.0-1
- Update to latest upstream.

* Wed Jun 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to latest upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 05 2012 Mat Booth <fedora@matbooth.co.uk> 3.0.9-1
- Update to version 3.0.9.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 02 2010 Mat Booth <fedora@matbooth.co.uk> 2.2.1-1
- Update to version 2.2.1.

* Thu Feb 11 2010 Mat Booth <fedora@matbooth.co.uk> 2.0.0-1
- Update to version 2.0.0 for Subclipse 1.6.6.

* Wed Feb 03 2010 Mat Booth <fedora@matbooth.co.uk> 1.10.0-1
- Initial revision of CollabNet Merge Client package
